Package org.apache.datasketches.tuple.strings

# Class ArrayOfStringsSummaryFactory

java.lang.Object
org.apache.datasketches.tuple.strings.ArrayOfStringsSummaryFactory

All Implemented Interfaces:
  `SummaryFactory<ArrayOfStringsSummary>`

public class ArrayOfStringsSummaryFactory extends Object implements SummaryFactory<ArrayOfStringsSummary>
Implements SummaryFactory<ArrayOfStringsSummary>

Author:
  Lee Rhodes

## Constructor Summary

Constructors
Constructor
Description
`ArrayOfStringsSummaryFactory()`

## Method Summary

Modifier and Type
Method
Description
`ArrayOfStringsSummary`
`newSummary()`
Returns new instance of Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ArrayOfStringsSummaryFactory

public ArrayOfStringsSummaryFactory()

## Method Details

### newSummary

public ArrayOfStringsSummary newSummary()
Description copied from interface: `SummaryFactory`
Returns new instance of Summary

Specified by:
  `newSummary` in interface `SummaryFactory<ArrayOfStringsSummary>`
Returns:
  new instance of Summary